/** @file
 * This file is intended to be executed by a WCCOActrl manager. It initializes
 *  and runs the core script.
 */
#uses "fwRPC/fwRPC_core.ctl"

/**
 * Start the core component. If startingWorkers and maxWorkers is set to -1,
 * workers will not be automatically started/stopped.
 *
 * @param startingWorkers (IN) number of workers to initialize on startup
 * @param maxWorkers      (IN) maximum number of workers that should be
 *                                running
 * @param dist            (IN) start in distributed mode
 * @param clientName      (IN) name of the core if in distributed mode
 */
int main() 
{
  int startingWorkers=1;
  int maxWorkers=1;
  bool dist=true;
  string clientName = "fwRPC_core_"+strrtrim(getSystemName(),":");

  fwRPC_core_initialize(startingWorkers, maxWorkers, dist, clientName);
  return 0;
}
