#uses "fwRPC/fwRPC_server.ctl"

public const string counter_fname = "counter";
public const string counter_dpe   = "fwRPC_counter";

void counter_register() {
  fwRPC_registerFunction(
    counter_fname,
    "counter_stub",
    "rpc_counter.ctl",
    -1,
    makeDynInt(DYN_INT_VAR)
  );
}

anytype counter_stub(anytype hdl, anytype params) {
  const string dp_type = "ExampleDP_Int";
  
  int max      = params[1];
  int interval = params[2];
  
  if (!dpExists(counter_dpe + ".")) dpCreate(counter_dpe, dp_type);
  dpSetWait(counter_dpe + ".", 0);
  
  for (int i=0; i<max; ++i) {
    dpSetWait(counter_dpe + ".", i);
    delay(0, interval);
  }
  
  return fwRPC_makeResult(hdl, true, "Counter reached " + max);
}
